Subject: bug#22402: info guix pages

From: carl hansen <[email-masked]>
Date: Tue, 19 Jan 2016 01:34:46 -0800

On Tue, Jan 19, 2016 at 1:01 AM, Ludovic Courtès <[email-masked]> wrote:

> carl hansen <[email-masked]> skribis:
>
> > On Mon, Jan 18, 2016 at 5:47 PM, Leo Famulari <[email-masked]> wrote:
> >
> >> On Mon, Jan 18, 2016 at 03:43:35PM -0800, carl hansen wrote:
> >> > I do
> >> > "info guix"
> >> > and I don't get the info pages, although OTHER info pages work
> >> > and INFOPATH seems correct.
> >> > BUt if I am root then I do get
> >> > info guix correctly.
> >> > I can see the files are there in the file system.
> >> > It seems that the guix.info should be automatically accessible
> >> > to regular users, or do I have to do some additonal step?
> >> > Or is it just me?
> >>
> >> Are you using GuixSD or Guix on a "foreign distro"?
> >>
> >
> > ubuntu
>
> Where is Guix installed?  If you used the “binary installation” method,
> Guix is installed in /root/.guix-profile, which is why you only get to
> see its manual when running ‘info’ as root.
>
> HTH,
> Ludo’.
>

Yes, that is the case, there is no mystery, there is indeed a
 /root/.guix-profile/share/info/guix.info
and there is NOT a
~user/.guix-profile/share/info/guix.info

However I consider that a bug. Here I am a user, using guix, and I expect
"info guix" to work. Why would the user have to switch to root just to read
this one info file? After installing guix,  I would expect guix.info to be
in my defalt .guix-profile, or a least a notice of how to install
guix.info. ( coping and linking I know how to do, that's not the problem.
It's a question
of creating a polished piece of software.) Would "guix package -i guix" do
the right thing?
That seems all wrong, would install stuff I already have.

I acknowledge my understanding of the guix system is incomplete.